Bug 1276107 - Consistency need to be maintained for the delete option in schedules list page and schedule details page
Consistency need to be maintained for the delete option in schedules list pag...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
low Severity low
: GA
: 5.5.0
Assigned To: Libor Pichler
Ramesh A
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 13:59 EDT by Ramesh A
Modified: 2015-12-08 08:41 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:41:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
schedule details page (73.34 KB, image/png)
2015-10-28 13:59 EDT, Ramesh A
no flags Details
schedule list page (67.13 KB, image/png)
2015-10-28 14:00 EDT, Ramesh A
no flags Details

  None (edit)
Description Ramesh A 2015-10-28 13:59:42 EDT
Created attachment 1087300 [details]
schedule details page

Description of problem:
Consistency need to be maintained for the delete option in schedules list page and schedule details page for the database word

Version-Release number of selected component (if applicable):
5.5.0.7-beta1.3.20151021133253_ed40d96

How reproducible:
100%

Steps to Reproduce:
1. Navigate to cloud intelligence ==> Reports ==> Schedules
2. Check for the delete option in schedules list page and schedule details page

Actual results:
In Schedules list page, it displays as "Delete the selected Schedules from the VMDB", whereas in schedule details page it displays as "Delete this Schedule from the database".  Refer the screenshot for further details

Expected results:
Should display consistent message on both the pages, i.e., either it should be VMDB or database

Additional info:
Comment 2 Ramesh A 2015-10-28 14:00 EDT
Created attachment 1087301 [details]
schedule list page
Comment 5 CFME Bot 2015-11-04 11:12:04 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/55553527d49150f9b462925c6fa2b43b07ceef0a

commit 55553527d49150f9b462925c6fa2b43b07ceef0a
Author:     Libor Pichler <lpichler@redhat.com>
AuthorDate: Tue Nov 3 15:08:29 2015 +0100
Commit:     Libor Pichler <lpichler@redhat.com>
CommitDate: Tue Nov 3 15:08:29 2015 +0100

    Change label for delete option in detail schedule page
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276107

 product/toolbars/miq_report_schedule_center_tb.yaml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 6 CFME Bot 2015-11-04 16:47:15 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=c8eb146ab400dc775d677fcb46edc46cb48bebcb

commit c8eb146ab400dc775d677fcb46edc46cb48bebcb
Author:     Libor Pichler <lpichler@redhat.com>
AuthorDate: Tue Nov 3 15:08:29 2015 +0100
Commit:     Libor Pichler <lpichler@redhat.com>
CommitDate: Wed Nov 4 18:14:24 2015 +0100

    Change label for delete option in detail schedule page
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276107
    (cherry picked from commit 55553527d49150f9b462925c6fa2b43b07ceef0a)

 product/toolbars/miq_report_schedule_center_tb.yaml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 7 CFME Bot 2015-11-04 16:47:21 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=2ecc92bf7fe05b0c8baa11315ce888f76240708a

commit 2ecc92bf7fe05b0c8baa11315ce888f76240708a
Merge: f60f3ac c8eb146
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Nov 4 16:37:55 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Wed Nov 4 16:37:55 2015 -0500

    Merge branch 'bz_1276107' into '5.5.z'
    
    Change label for delete option in detail schedule page
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276107
    (cherry picked from commit 55553527d49150f9b462925c6fa2b43b07ceef0a)
    
    https://github.com/ManageIQ/manageiq/pull/5258
    
    
    
    See merge request !349

 product/toolbars/miq_report_schedule_center_tb.yaml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 8 Ramesh A 2015-11-16 06:22:20 EST
Good to go.  Verified and working fine in 5.5.0.10-beta2.1.20151110134042_d6f5459
Comment 10 errata-xmlrpc 2015-12-08 08:41:33 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.